Name: hesiod
Version: 3.2.1
Release: 16
Summary: Shared libraries for querying the Hesiod naming service
License: MIT
URL:     https://github.com/achernya/hesiod
Source0: ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/hesiod-%{version}.tar.gz

BuildRequires: gcc libidn-devel libtool

%description
Hesiod is a system which uses existing DNS functionality to provide access to
databases of information that changes infrequently. It is often used to
distribute information kept in the /etc/passwd, /etc/group, and /etc/printcap
files, among others.

%package devel
Summary: Development libraries and headers for Hesiod
Requires: hesiod = %{version}-%{release}

%description devel
Hesiod is a system which uses existing DNS functionality to provide access to
databases of information that changes infrequently. It is often used to
distribute information which might otherwise kept in the /etc/passwd, /etc/group,
and /etc/printcap files over a network, eliminating the need to ensure the files
are synchronized among multiple hosts. This package contains the header files
and libraries required for building programs which use Hesiod.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_libdir}/libhesiod.la

%pre

%preun

%ldconfig_scriptlets

%files
%license COPYING
%doc NEWS README
%{_bindir}/hesinfo
%{_libdir}/libhesiod.so.*

%files devel
%{_libdir}/libhesiod.so
%{_libdir}/pkgconfig/hesiod.pc
%{_includedir}/hesiod.h

%files help
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%changelog
* Thu Oct 17 2019 chengquan<chengquan3@huawei.com> - 3.2.1-16
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add URL information

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 3.2.1-15
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add help package

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.2.1-14
- Package init
